# loki.expression.tests.test_mapper

Functions

`test_expression_retriever`(frontend) | Test for `ExpressionRetriever` (a `LokiWalkMapper`)
`test_identity_mapper`(frontend) | Test for `LokiIdentityMapper`, in particular deep-copying expression nodes.
`test_substitute_expression_mapper`(frontend) | Test for `SubstituteExpressionsMapper`.

test_expression_retriever(frontend)

  Test for `ExpressionRetriever` (a `LokiWalkMapper`)

test_identity_mapper(frontend)

  Test for `LokiIdentityMapper`, in particular deep-copying expression nodes.

test_substitute_expression_mapper(frontend)

  Test for `SubstituteExpressionsMapper`.